package com.democompany.soa.esb.adaptor.util.exception;

/**
 * This exception represents a situation when some functionality is not
 * implemented but is invoked. It is recomended to throw this exception in every
 * method that the implementor believes will not be used. If the method is not
 * used, the exception will never occur, however if a method is used, that fact
 * will be immediately discovered during testing.
 * 
 * @author Leonid Rubin
 */
public class NotImplementedException extends RuntimeException {
	private static final long serialVersionUID = 1L;
}
