package com.democompany.soa.esb.adaptor.util.http;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

/**
 * This class provides a dummy implementation of a RequestDispatcher. The
 * dispatcher is an important component and needs to be present, however in this
 * application, it does not need to do anything, just has to exist. Javadoc
 * comments are not provided because all methods will inherit them from the
 * RequestDispatcher.
 * 
 * @author Leon Rubin
 */
public class RequestDispatcherImpl implements RequestDispatcher {
	public void forward(ServletRequest request, ServletResponse response)
			throws ServletException, IOException {

	}

	public void include(ServletRequest arg0, ServletResponse arg1)
			throws ServletException, IOException {

	}
}
